Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.Designer.cs	(revision 384)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.Designer.cs	(revision 385)
@@ -34,7 +34,7 @@
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
-            this.dgv1 = new CustomControls.DataGridViewEX();
+            this.dgv1 = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.OrderersDivision = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.OrderersCode = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.TargetDate = new System.Windows.Forms.DataGridViewTextBoxColumn();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs	(revision 384)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs	(revision 385)
@@ -311,7 +311,9 @@
                     }
                     else
                     {
-                        dgv1.Rows[i].Cells[(int)DispColumn.seqNo].Value = i;
+                        var maxSeqNo = Dlist.Max(x => x.seqNo);
+                        Dlist[i].AddEdit = 0;
+                        dgv1.Rows[i].Cells[(int)DispColumn.seqNo].Value = maxSeqNo + 1;
                         dgv1.Rows[i].Cells[(int)DispColumn.depositPersonCode].Value = CommonMotions.LoginUserData.PersonCode;
                         dgv1.Rows[i].Cells[(int)DispColumn.personName].Value = CommonMotions.LoginUserData.SealPrintName;
                         dgv1.Rows[i].Cells[(int)DispColumn.personName].Style.ForeColor = Color.Gray;
@@ -560,8 +562,9 @@
                     {
                         return;
                     }
-                    int seqno = (int)dgv1.Rows[e.RowIndex].Cells[(int)DispColumn.seqNo].Value + 1;
-                    if (seqno == Dlist.Count)
+                    int seqno = (int)dgv1.Rows[e.RowIndex].Cells[(int)DispColumn.seqNo].Value;
+                    int maxSeq = Dlist.Max(x => x.seqNo) + 1;
+                    if (seqno == maxSeq)
                     {
                         Dlist[e.RowIndex].AddEdit = 1;
                         isDirty = true;
@@ -730,8 +733,9 @@
 
                     // 入金日入力済みで入金金額が入力されていない
                     if (!string.IsNullOrEmpty(Dlist[i].depositDate)
-                        && string.IsNullOrEmpty(Dlist[i].depositAmountCash.ToString())
-                        && string.IsNullOrEmpty(Dlist[i].depositAmountBill.ToString()))
+                        && (string.IsNullOrEmpty(Dlist[i].depositAmountCash.ToString()) || Dlist[i].depositAmountCash == 0)
+                        && (string.IsNullOrEmpty(Dlist[i].depositAmountBill.ToString()) || Dlist[i].depositAmountBill == 0)
+                       )
                     {
                         // エラー表示
                         MessageBox.Show("入金日が登録されている行に入金金額が入力されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
@@ -739,9 +743,12 @@
                         return;
                     }
                     // 入金金額入力済みで入金日が入力されていない
-                    if (string.IsNullOrEmpty(Dlist[i].depositDate)
-                        && (!string.IsNullOrEmpty(Dlist[i].depositAmountCash.ToString())
-                        || !string.IsNullOrEmpty(Dlist[i].depositAmountBill.ToString())))
+                    if (string.IsNullOrEmpty(Dlist[i].depositDate) &&
+                        (
+                          !(string.IsNullOrEmpty(Dlist[i].depositAmountCash.ToString()) || Dlist[i].depositAmountCash == 0)
+                           || !(string.IsNullOrEmpty(Dlist[i].depositAmountBill.ToString()) || Dlist[i].depositAmountBill == 0)
+                        )
+                       )
                     {
                         // エラー表示
                         MessageBox.Show("入金金額が登録されている行に入金日が入力されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs	(revision 384)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs	(revision 385)
@@ -42,6 +42,8 @@
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle12 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle13 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle14 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle15 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle16 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label3 = new System.Windows.Forms.Label();
             this.panel1 = new System.Windows.Forms.Panel();
             this.lblRequestAmount = new System.Windows.Forms.Label();
@@ -54,7 +56,12 @@
             this.label2 = new System.Windows.Forms.Label();
             this.btnShow = new System.Windows.Forms.Button();
             this.button1 = new System.Windows.Forms.Button();
+            this.Registration = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.lblCellTotal = new System.Windows.Forms.Label();
+            this.DepositBtn = new System.Windows.Forms.Button();
             this.dgvMaster = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.KB = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.No = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.RequestMonth = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.RequestNo = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -69,6 +76,7 @@
             this.DepositAmountBill = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.OrderNo = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.DepositAmount = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.TaxAmount = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.DiscountAmount = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.CnstrPrice = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Fees = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -83,8 +91,6 @@
             this.DepartmentCode = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.PersonName = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.NoteDD = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.Registration = new System.Windows.Forms.Button();
-            this.btnEnd = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
             this.SuspendLayout();
@@ -245,9 +251,62 @@
             this.button1.TabIndex = 3;
             this.button1.Text = "・・・";
             this.button1.UseVisualStyleBackColor = true;
-            this.button1.Visible = false;
             this.button1.Click += new System.EventHandler(this.button1_Click);
             // 
+            // Registration
+            // 
+            this.Registration.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.Registration.BackColor = System.Drawing.Color.Green;
+            this.Registration.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Registration.ForeColor = System.Drawing.Color.White;
+            this.Registration.Location = new System.Drawing.Point(1071, 585);
+            this.Registration.Name = "Registration";
+            this.Registration.Size = new System.Drawing.Size(120, 30);
+            this.Registration.TabIndex = 6;
+            this.Registration.Text = "登　録";
+            this.Registration.UseVisualStyleBackColor = false;
+            this.Registration.Click += new System.EventHandler(this.Registration_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(1197, 585);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 7;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // lblCellTotal
+            // 
+            this.lblCellTotal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.lblCellTotal.AutoSize = true;
+            this.lblCellTotal.BackColor = System.Drawing.Color.Black;
+            this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblCellTotal.ForeColor = System.Drawing.Color.White;
+            this.lblCellTotal.Location = new System.Drawing.Point(190, 595);
+            this.lblCellTotal.Name = "lblCellTotal";
+            this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
+            this.lblCellTotal.TabIndex = 31;
+            // 
+            // DepositBtn
+            // 
+            this.DepositBtn.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.DepositBtn.BackColor = System.Drawing.Color.Silver;
+            this.DepositBtn.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.DepositBtn.ForeColor = System.Drawing.Color.Black;
+            this.DepositBtn.Location = new System.Drawing.Point(856, 585);
+            this.DepositBtn.Name = "DepositBtn";
+            this.DepositBtn.Size = new System.Drawing.Size(120, 30);
+            this.DepositBtn.TabIndex = 32;
+            this.DepositBtn.Text = "入金入力";
+            this.DepositBtn.UseVisualStyleBackColor = false;
+            this.DepositBtn.Click += new System.EventHandler(this.DepositBtn_Click);
+            // 
             // dgvMaster
             // 
             this.dgvMaster.AllowUserToAddRows = false;
@@ -266,6 +325,7 @@
             this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
             this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
             this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.KB,
             this.No,
             this.RequestMonth,
             this.RequestNo,
@@ -280,6 +340,7 @@
             this.DepositAmountBill,
             this.OrderNo,
             this.DepositAmount,
+            this.TaxAmount,
             this.DiscountAmount,
             this.CnstrPrice,
             this.Fees,
@@ -305,12 +366,23 @@
             this.dgvMaster.CellBeginEdit += new System.Windows.Forms.DataGridViewCellCancelEventHandler(this.dgvMaster_CellBeginEdit);
             this.dgvMaster.CellFormatting += new System.Windows.Forms.DataGridViewCellFormattingEventHandler(this.dgvMaster_CellFormatting);
             this.dgvMaster.CellValidating += new System.Windows.Forms.DataGridViewCellValidatingEventHandler(this.dgvMaster_CellValidating);
+            this.dgvMaster.MouseUp += new System.Windows.Forms.MouseEventHandler(this.DataGridView_MouseUp);
             // 
+            // KB
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.KB.DefaultCellStyle = dataGridViewCellStyle2;
+            this.KB.HeaderText = "行区分";
+            this.KB.Name = "KB";
+            this.KB.ReadOnly = true;
+            this.KB.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.KB.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.KB.Visible = false;
+            // 
             // No
             // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.No.DefaultCellStyle = dataGridViewCellStyle2;
-            this.No.Frozen = true;
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.No.DefaultCellStyle = dataGridViewCellStyle3;
             this.No.HeaderText = "No.";
             this.No.Name = "No";
             this.No.ReadOnly = true;
@@ -355,7 +427,6 @@
             // 
             // OrderersName
             // 
-            this.OrderersName.Frozen = true;
             this.OrderersName.HeaderText = "請求先名/請求日";
             this.OrderersName.Name = "OrderersName";
             this.OrderersName.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -371,7 +442,6 @@
             // 
             // ConstructionName
             // 
-            this.ConstructionName.Frozen = true;
             this.ConstructionName.HeaderText = "現場名";
             this.ConstructionName.Name = "ConstructionName";
             this.ConstructionName.ReadOnly = true;
@@ -380,8 +450,8 @@
             // 
             // BillPrice
             // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.BillPrice.DefaultCellStyle = dataGridViewCellStyle3;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.BillPrice.DefaultCellStyle = dataGridViewCellStyle4;
             this.BillPrice.HeaderText = "請求金額\r\n（税抜）";
             this.BillPrice.Name = "BillPrice";
             this.BillPrice.ReadOnly = true;
@@ -391,8 +461,8 @@
             // 
             // TaxPrice
             // 
-            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.TaxPrice.DefaultCellStyle = dataGridViewCellStyle4;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.TaxPrice.DefaultCellStyle = dataGridViewCellStyle5;
             this.TaxPrice.HeaderText = "請求金額\r\n（消費税）";
             this.TaxPrice.Name = "TaxPrice";
             this.TaxPrice.ReadOnly = true;
@@ -402,8 +472,8 @@
             // 
             // DepositAmountCash
             // 
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.DepositAmountCash.DefaultCellStyle = dataGridViewCellStyle5;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.DepositAmountCash.DefaultCellStyle = dataGridViewCellStyle6;
             this.DepositAmountCash.HeaderText = "入金金額\r\n（振込）";
             this.DepositAmountCash.Name = "DepositAmountCash";
             this.DepositAmountCash.ReadOnly = true;
@@ -413,8 +483,8 @@
             // 
             // DepositAmountBill
             // 
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.DepositAmountBill.DefaultCellStyle = dataGridViewCellStyle6;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.DepositAmountBill.DefaultCellStyle = dataGridViewCellStyle7;
             this.DepositAmountBill.HeaderText = "入金金額\r\n（手形）";
             this.DepositAmountBill.Name = "DepositAmountBill";
             this.DepositAmountBill.ReadOnly = true;
@@ -433,9 +503,9 @@
             // 
             // DepositAmount
             // 
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.DepositAmount.DefaultCellStyle = dataGridViewCellStyle7;
-            this.DepositAmount.HeaderText = "入金金額";
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.DepositAmount.DefaultCellStyle = dataGridViewCellStyle8;
+            this.DepositAmount.HeaderText = "入金金額\r\n（税抜）";
             this.DepositAmount.Name = "DepositAmount";
             this.DepositAmount.ReadOnly = true;
             this.DepositAmount.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -442,10 +512,21 @@
             this.DepositAmount.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.DepositAmount.Width = 140;
             // 
+            // TaxAmount
+            // 
+            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.TaxAmount.DefaultCellStyle = dataGridViewCellStyle9;
+            this.TaxAmount.HeaderText = "入金金額\r\n（消費税）";
+            this.TaxAmount.Name = "TaxAmount";
+            this.TaxAmount.ReadOnly = true;
+            this.TaxAmount.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.TaxAmount.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.TaxAmount.Width = 140;
+            // 
             // DiscountAmount
             // 
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.DiscountAmount.DefaultCellStyle = dataGridViewCellStyle8;
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.DiscountAmount.DefaultCellStyle = dataGridViewCellStyle10;
             this.DiscountAmount.HeaderText = "値引金額";
             this.DiscountAmount.Name = "DiscountAmount";
             this.DiscountAmount.ReadOnly = true;
@@ -455,8 +536,8 @@
             // 
             // CnstrPrice
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.CnstrPrice.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.CnstrPrice.DefaultCellStyle = dataGridViewCellStyle11;
             this.CnstrPrice.HeaderText = "協力金";
             this.CnstrPrice.Name = "CnstrPrice";
             this.CnstrPrice.ReadOnly = true;
@@ -466,8 +547,8 @@
             // 
             // Fees
             // 
-            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Fees.DefaultCellStyle = dataGridViewCellStyle10;
+            dataGridViewCellStyle12.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Fees.DefaultCellStyle = dataGridViewCellStyle12;
             this.Fees.HeaderText = "手数料";
             this.Fees.Name = "Fees";
             this.Fees.ReadOnly = true;
@@ -477,8 +558,8 @@
             // 
             // OtherAdjustments
             // 
-            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.OtherAdjustments.DefaultCellStyle = dataGridViewCellStyle11;
+            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.OtherAdjustments.DefaultCellStyle = dataGridViewCellStyle13;
             this.OtherAdjustments.HeaderText = "送料";
             this.OtherAdjustments.Name = "OtherAdjustments";
             this.OtherAdjustments.ReadOnly = true;
@@ -488,8 +569,8 @@
             // 
             // CarryAmount
             // 
-            dataGridViewCellStyle12.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.CarryAmount.DefaultCellStyle = dataGridViewCellStyle12;
+            dataGridViewCellStyle14.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.CarryAmount.DefaultCellStyle = dataGridViewCellStyle14;
             this.CarryAmount.HeaderText = "差分";
             this.CarryAmount.Name = "CarryAmount";
             this.CarryAmount.ReadOnly = true;
@@ -555,8 +636,8 @@
             // 
             // PersonName
             // 
-            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.PersonName.DefaultCellStyle = dataGridViewCellStyle13;
+            dataGridViewCellStyle15.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.PersonName.DefaultCellStyle = dataGridViewCellStyle15;
             this.PersonName.HeaderText = "確認";
             this.PersonName.Name = "PersonName";
             this.PersonName.ReadOnly = true;
@@ -566,8 +647,8 @@
             // 
             // NoteDD
             // 
-            dataGridViewCellStyle14.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            this.NoteDD.DefaultCellStyle = dataGridViewCellStyle14;
+            dataGridViewCellStyle16.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            this.NoteDD.DefaultCellStyle = dataGridViewCellStyle16;
             this.NoteDD.HeaderText = "備考";
             this.NoteDD.Name = "NoteDD";
             this.NoteDD.ReadOnly = true;
@@ -574,34 +655,6 @@
             this.NoteDD.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.NoteDD.Width = 250;
             // 
-            // Registration
-            // 
-            this.Registration.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.Registration.BackColor = System.Drawing.Color.Green;
-            this.Registration.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Registration.ForeColor = System.Drawing.Color.White;
-            this.Registration.Location = new System.Drawing.Point(1071, 585);
-            this.Registration.Name = "Registration";
-            this.Registration.Size = new System.Drawing.Size(120, 30);
-            this.Registration.TabIndex = 6;
-            this.Registration.Text = "登　録";
-            this.Registration.UseVisualStyleBackColor = false;
-            this.Registration.Click += new System.EventHandler(this.Registration_Click);
-            // 
-            // btnEnd
-            // 
-            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnEnd.BackColor = System.Drawing.Color.Blue;
-            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnEnd.ForeColor = System.Drawing.Color.White;
-            this.btnEnd.Location = new System.Drawing.Point(1197, 585);
-            this.btnEnd.Name = "btnEnd";
-            this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 7;
-            this.btnEnd.Text = "終　了";
-            this.btnEnd.UseVisualStyleBackColor = false;
-            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
-            // 
             // FrmSelectPayment
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 15F);
@@ -608,6 +661,8 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1328, 625);
+            this.Controls.Add(this.DepositBtn);
+            this.Controls.Add(this.lblCellTotal);
             this.Controls.Add(this.btnEnd);
             this.Controls.Add(this.Registration);
             this.Controls.Add(this.button1);
@@ -626,6 +681,7 @@
             this.panel1.ResumeLayout(false);
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
             this.ResumeLayout(false);
+            this.PerformLayout();
 
         }
 
@@ -646,6 +702,9 @@
         private System.Windows.Forms.Label label8;
         private System.Windows.Forms.Label lblRequestAmount;
         private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label lblCellTotal;
+        private System.Windows.Forms.Button DepositBtn;
+        private System.Windows.Forms.DataGridViewTextBoxColumn KB;
         private System.Windows.Forms.DataGridViewTextBoxColumn No;
         private System.Windows.Forms.DataGridViewTextBoxColumn RequestMonth;
         private System.Windows.Forms.DataGridViewTextBoxColumn RequestNo;
@@ -660,6 +719,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn DepositAmountBill;
         private System.Windows.Forms.DataGridViewTextBoxColumn OrderNo;
         private System.Windows.Forms.DataGridViewTextBoxColumn DepositAmount;
+        private System.Windows.Forms.DataGridViewTextBoxColumn TaxAmount;
         private System.Windows.Forms.DataGridViewTextBoxColumn DiscountAmount;
         private System.Windows.Forms.DataGridViewTextBoxColumn CnstrPrice;
         private System.Windows.Forms.DataGridViewTextBoxColumn Fees;
